<marlin xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="http://ilcsoft.desy.de/marlin/marlin.xsd">
<execute>
    <processor name="ProgressProcessor" />
    <processor name="LayerClusterProcessor"/>
    <processor name="NNClusterProcessor"/>
    <processor name="OutputProcessor"/> 
</execute>

<global>
    <parameter name="LCIOInputFiles"> /afs/cern.ch/eng/clic/work/DHCAL/LCIO/dhcLcio-Run660399.slcio </parameter>
    <!-- limit the number of processed records (run+evt): -->  
    <parameter name="MaxRecordNumber" value="20" />  
    <parameter name="SkipNEvents" value="0" />  
    <parameter name="SupressCheck" value="false" />  
    <parameter name="GearXMLFile"> </parameter>  
    <parameter name="Verbosity" options="DEBUG0-4,MESSAGE0-4,WARNING0-4,ERROR0-4,SILENT"> MESSAGE </parameter> 
    <parameter name="RandomSeed" value="1234567890" />
</global>

<processor name="ProgressProcessor" type="DhcalProgressProcessor">
    <parameter name="Interval" value="1" />
</processor>

<processor name="LayerClusterProcessor" type="NNClusteringProcessor">
    <parameter name="InputCollections"> DhcHits DhcTailCatcherHits </parameter>
    <parameter name="OutputCollection"> LayerClusters </parameter>
    <parameter name="MaxDistanceUV" value="1" />
    <parameter name="MaxDistanceLayer" value="0" />
    <parameter name="Verbosity" > DEBUG </parameter> 
</processor>

<processor name="NNClusterProcessor" type="NNClusteringProcessor">
    <parameter name="InputCollections"> DhcHits DhcTailCatcherHits </parameter>
    <parameter name="OutputCollection"> NNClusters </parameter>
    <parameter name="MaxDistanceUV" value="4" />
    <parameter name="MaxDistanceLayer" value="4" />
    <parameter name="Verbosity" > DEBUG </parameter> 
</processor>

<processor name="OutputProcessor" type="LCIOOutputProcessor">
    <!--Writes the current event to the specified LCIO outputfile. Needs to be the last ActiveProcessor.-->
    <!-- name of output file -->
    <parameter name="LCIOOutputFile" type="string"> clusteringTest.slcio </parameter>
    <!--write mode for output file:  WRITE_APPEND or WRITE_NEW-->
    <parameter name="LCIOWriteMode" type="string"> WRITE_NEW </parameter>
</processor>

</marlin>
